| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Public Attributes | List of all members
Tp::PtrFunctor1< R, Arg1 > Struct Template Reference

`#include <TelepathyQt/functors.h>`

Inheritance diagram for Tp::PtrFunctor1< R, Arg1 >:
[legend]

## Public Types

typedef R(* | FunctionType) (Arg1)
typedef R | ResultType

## Public Member Functions

| PtrFunctor1 (FunctionType fn)
ResultType | operator() (Arg1 a1) const

## Public Attributes

FunctionType | fn

## Member Typedef Documentation

template<class R , class Arg1 >

typedef R(* Tp::PtrFunctor1< R, Arg1 >::FunctionType) (Arg1)

template<class R , class Arg1 >

typedef R Tp::PtrFunctor1< R, Arg1 >::ResultType

## Constructor & Destructor Documentation

template<class R , class Arg1 >

Tp::PtrFunctor1< R, Arg1 >::PtrFunctor1 | ( | FunctionType | fn | ) |

inline

## Member Function Documentation

template<class R , class Arg1 >

ResultType Tp::PtrFunctor1< R, Arg1 >::operator() | ( | Arg1 | a1 | ) | const

inline

## Member Data Documentation

template<class R , class Arg1 >

FunctionType Tp::PtrFunctor1< R, Arg1 >::fn